## foremost 1.5

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 RAW_CC = gcc
 RAW_FLAGS = -Wall -O2
 LINK_OPT = 
-VERSION = 1.3
+VERSION = 1.5
 # Try to determine the host system
 SYS := $(shell uname -s | tr -d "[0-9]" | tr -d "-" | tr "[A-Z]" "[a-z]")
