## foremost 1.5.5

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 RAW_CC = gcc
 RAW_FLAGS = -Wall -O2
 LINK_OPT = 
-VERSION = 1.5.4
+VERSION = 1.5.5
 # Try to determine the host system
 SYS := $(shell uname -s | tr -d "[0-9]" | tr -d "-" | tr "[A-Z]" "[a-z]")
 
@@ -19,13 +19,13 @@
 #RAW_FLAGS += -D__DEBUG -ggdb
 
 NAME = foremost
-MAN_PAGES = $(NAME).1
+MAN_PAGES = $(NAME).8.gz
 
 RAW_FLAGS += -DVERSION=\"$(VERSION)\"
 
 # Where we get installed
 BIN = /usr/local/bin
-MAN = /usr/local/man/man1
+MAN = /usr/share/man/man8
 CONF= /usr/local/etc
 # Setup for compiling and cross-compiling for Windows
 # The CR_ prefix refers to cross compiling from OSX to Windows
