=== debian/changelog ===
foremost (1.5.7-9.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: added DEB_CFLAGS_MAINT_APPEND variable as a workaround to fix
    a FTBFS with GCC-10. (Closes: #957219)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 19 Aug 2020 15:38:47 -0300

foremost (1.5.7-9) unstable; urgency=medium

  * Fix extra byte at the tail of recovered zip files if -t all is
    used. Thanks to Maxim Nikulin for reporting the bug and sending the
    patch. (Closes: #928070)
  * Use debhelper 12.
  * Bump standards version to 4.3.0, no changes required.

 -- Raúl Benencia <rul@kalgan.cc>  Wed, 12 Jun 2019 08:08:06 -0700

foremost (1.5.7-8) unstable; urgency=medium

  * Enforce limit on the config file lines length. (Closes: #833639)
  * Enforce limit on the amount of possible config file
    entries. (Closes: #833642)
  * Update Standards Version to 4.1.5. No changes required.

 -- Raúl Benencia <rul@kalgan.cc>  Sat, 14 Jul 2018 08:57:14 -0700

foremost (1.5.7-7) sid; urgency=medium

  * Fix build to honor flags set by dh. Thanks to Yann Dirson for
    reporting the bug and sending part of the patch. (Closes: #833638, #850926)
  * Update Homepage and Vcs fields on d/control.
  * Update debhelper compat version to 11. No changes required.
  * Update Standards-Version. No changes required.
  * Fix insecure-copyright-format-uri and update source code reference in
    d/copyright file.
  * Prepend numbers in patches file names.

 -- Raúl Benencia <rul@kalgan.cc>  Thu, 14 Jun 2018 07:40:30 -0700

foremost (1.5.7-6) sid; urgency=low

  * Update man page with newly supported format. (Closes: #777260)
  * Bump standars version to 3.9.6, no changes required.
  * Update Vcs-Git.

 -- Raúl Benencia <rul@kalgan.cc>  Mon, 23 Feb 2015 09:39:02 -0300

foremost (1.5.7-5) unstable; urgency=medium

  * Update maintainer email address.
  * Include new VCS control fields.
  * Fix FTBFS caused by dpkg update. Thanks Juhani Numminen. (Closes: #753184)
  * Bump standards version to 3.9.5, no changes.

 -- Raúl Benencia <rul@kalgan.cc>  Thu, 03 Jul 2014 14:03:02 -0300

foremost (1.5.7-4) unstable; urgency=low

  * Fix FTBFS on hurd by defining missing PATH_MAX macro

 -- Raúl Benencia <rbenencia@linti.unlp.edu.ar>  Thu, 12 Jul 2012 09:47:42 -0300

foremost (1.5.7-3) unstable; urgency=low

  * Fix lintian hardening warnings
  * Fix build system for hurd and freebsd

 -- Raúl Benencia <rbenencia@linti.unlp.edu.ar>  Tue, 10 Jul 2012 00:48:13 -0300

foremost (1.5.7-2) unstable; urgency=low

  * New maintainer (Closes: #661488)
  * Bump standards version to 3.9.3.
  * Upgraded debian/copyright to a machine-readable format.
  * Renamed and cleaned debian-changes-1.5.7-1 patch.
  * Added watch file

 -- Raúl Benencia <rbenencia@linti.unlp.edu.ar>  Mon, 14 May 2012 11:31:03 -0300

foremost (1.5.7-1) unstable; urgency=low

  * New upstream version.
  * Bump standards version to 3.8.4.
  * Switch to dpkg-source format version 3 (quilt).

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Fri, 26 Mar 2010 16:06:19 +0100

foremost (1.5.6-1) unstable; urgency=low

  * New upstream version.
  * Bump standards version.
  * Bump debhelper version.
  * Updated debian/copyright.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Fri, 08 May 2009 00:39:18 +0200

foremost (1.5.5-1) unstable; urgency=low

  * New upstream version.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Thu, 08 Jan 2009 11:04:43 +0100

foremost (1.5.4-1) unstable; urgency=low

  * New upstream version.
  * Updated my email address.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Tue, 20 May 2008 09:31:54 +0200

foremost (1.5.3-1) unstable; urgency=low

  * New upstream version. (Closes: #454588)
  * debian/control: Updated standards version.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Thu, 06 Dec 2007 14:28:56 +0100

foremost (1.5.2-1) unstable; urgency=low

  * New upstream version.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Fri, 09 Nov 2007 00:28:14 +0100

foremost (1.5.1-1) unstable; urgency=low

  * New upstream version. (Closes: #441924)

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Thu, 01 Nov 2007 00:05:20 +0100

foremost (1.5-1) unstable; urgency=low

  * New upstream version.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Thu, 26 Apr 2007 00:14:04 +0200

foremost (1.4-1) unstable; urgency=low

  * New upstream verion.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Sun, 18 Feb 2007 09:45:26 +0100

foremost (1.3-1) unstable; urgency=low

  * New upstream version.
  * Bump standards version (no changes needed).
  * Bump DH compat level to 5.
  * Updated debian/copyright.
  * Removed co-maintainer.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Sun,  3 Sep 2006 19:57:55 +0200

foremost (1.2-1) unstable; urgency=low

  * New upstream version.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Thu,  4 May 2006 14:07:34 +0200

foremost (1.1-2) unstable; urgency=low

  * Look in /etc for config file by default.
  * Added homepage to long description.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Wed, 12 Apr 2006 11:00:56 +0200

foremost (1.1-1) unstable; urgency=low

  * New upstream version. (Closes: #355808)
  * New Maintainer with permission of co-maintainer.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Sun,  2 Apr 2006 18:12:56 +0200

foremost (0.69-1) unstable; urgency=low

  * Initial release (closes: #280193)

 -- Niall Sheridan <niall@blacknight.ie>  Fri, 19 Nov 2004 13:56:48 +0000
