=== debian/control ===
Source: foremost
Section: admin
Priority: optional
Maintainer: Raúl Benencia <rul@kalgan.cc>
Build-Depends: debhelper (>= 12),
Standards-Version: 4.3.0
Homepage: https://sourceforge.net/projects/foremost/
Vcs-Git: https://salsa.debian.org/rul-guest/foremost.git
Vcs-Browser: https://salsa.debian.org/rul-guest/foremost

Package: foremost
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: forensic program to recover lost files
 Foremost is a forensic program to recover lost files based on
 their headers, footers, and internal data structures.
 .
 Foremost can work on image files, such as those generated by dd,
 Safeback, Encase, etc, or directly on a drive. The headers and
 footers can be specified by a configuration file or you can use
 command line switches to specify built-in file types. These built-in
 types look at the data structures of a given file format allowing
 for a more reliable and faster recovery.
